This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489135 - (tcpjunk) Review Request: tcpjunk - TCP protocols testing tool
Review Request: tcpjunk - TCP protocols testing tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2009-03-07 18:59 EST by Fabian Affolter
Modified: 2010-03-21 15:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.649-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-03-07 18:59:32 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/tcpjunk.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/tcpjunk-2.649-1.fc10.src.rpm

Project URL: http://code.google.com/p/tcpjunk/

Description:
TCPJunk is a TCP protocols manipulation and hacking utility that can
be used in different ways. Similar to netcat, TCPJunk can be used as
a client or server, but instead of stdin, it uses a 'Session file' as
the data to send or receive. TCPJunk can be used as a general testing
tool, a traffic generator or a fuzzer, for protocols such as HTTP,
SMTP, POP3, IMAP, FTP and others.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1229147

rpmlint output:
[fab@laptop24 i386]$ rpmlint tcpjunk*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint tcpjunk-2.649-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2009-03-07 21:13:45 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type according to sources : GPLv2+
     License type according to spec file : GPL+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 50c57cbb0be1ce18535832e352a9965db6f93bb5 tcpjunk-2.649.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [ ] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 + koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.



=== Issues ===
1. License of the package should be GPLv2+ instead of GPL+

================
*** APPROVED *** but please fix the license tag before commit
================
Comment 2 Fabian Affolter 2009-03-08 05:38:09 EDT
Thanks for the review.  Yes, you are right about the license.
Comment 3 Fabian Affolter 2009-03-08 05:38:53 EDT
New Package CVS Request
=======================
Package Name: tcpjunk
Short Description: TCP protocols testing tool
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-03-09 12:11:05 EDT
cvs done.
Comment 5 Fedora Update System 2009-03-09 19:43:36 EDT
tcpjunk-2.649-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcpjunk-2.649-2.fc9
Comment 6 Fedora Update System 2009-03-09 19:43:41 EDT
tcpjunk-2.649-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tcpjunk-2.649-2.fc10
Comment 7 Fedora Update System 2009-03-11 13:58:38 EDT
tcpjunk-2.649-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update tcpjunk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2592
Comment 8 Fedora Update System 2009-03-11 14:03:23 EDT
tcpjunk-2.649-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tcpjunk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2627
Comment 9 Fedora Update System 2009-04-06 16:25:00 EDT
tcpjunk-2.649-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-04-06 16:30:45 EDT
tcpjunk-2.649-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.